Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1410302 - update userspace-rcu for epel7
Summary: update userspace-rcu for epel7
Keywords:
Status: NEW
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: userspace-rcu
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yannick Brosseau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1507090 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 04:43 UTC by Murphy Zhou
Modified: 2018-01-24 11:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1507090 0 unspecified CLOSED userspace-rcu requires updating for gluster 3.12 compatibility 2021-02-22 00:41:40 UTC

Internal Links: 1507090

Description Murphy Zhou 2017-01-05 04:43:35 UTC
Description of problem:

Failed to build radix tree test suite in kernel source tree by
linking to EPEL7 userspace-rcu library.

Using upstream git://git.liburcu.org/userspace-rcu.git libs instead
will fix this issue.

sh-4.2# pwd
/root/linux
sh-4.2# make -C tools/testing/radix-tree/
make: Entering directory `/root/linux/tools/testing/radix-tree'
cc -I. -I../../include -g -O2 -Wall -D_LGPL_SOURCE -lpthread -lurcu main.o radix-tree.o linux.o test.o tag_check.o find_next_bit.o regression1.o regression2.o regression3.o multiorder.o iteration_check.o benchmark.o -o main
multiorder.o: In function `multiorder_join3':
/root/linux/tools/testing/radix-tree/multiorder.c:415: undefined reference to `rcu_barrier'
iteration_check.o: In function `untagged_iteration_fn':
/root/linux/tools/testing/radix-tree/iteration_check.c:128: undefined reference to `rcu_barrier'
/root/linux/tools/testing/radix-tree/iteration_check.c:128: undefined reference to `rcu_barrier'
iteration_check.o: In function `tagged_iteration_fn':
/root/linux/tools/testing/radix-tree/iteration_check.c:87: undefined reference to `rcu_barrier'
/root/linux/tools/testing/radix-tree/iteration_check.c:87: undefined reference to `rcu_barrier'
main.o:/root/linux/tools/testing/radix-tree/main.c:294: more undefined references to `rcu_barrier' follow
collect2: error: ld returned 1 exit status
make: *** [main] Error 1
make: Leaving directory `/root/linux/tools/testing/radix-tree'
sh-4.2# 

Version-Release number of selected component (if applicable):

sh-4.2# rpm -qv userspace-rcu
userspace-rcu-0.7.16-1.el7.x86_64
sh-4.2# rpm -qv userspace-rcu-devel
userspace-rcu-devel-0.7.16-1.el7.x86_64
sh-4.2# uname -r
3.10.0-514.2.2.el7.x86_64
sh-4.2# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.3 (Maipo)

How reproducible:
always

Steps to Reproduce:
1. download lates Linus kernel tree
2. setup epel7 && install userspace-rcu-devel
3. in linux tree, make -C tools/testing/radix-tree

Actual results:
ld failure

Expected results:
build success

Additional info:

Comment 1 Niels de Vos 2018-01-24 11:13:15 UTC
*** Bug 1507090 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.